Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.chart
Class CachedColorProvider

    java.lang.Object
      org.eclipse.amp.agf.chart.CachedColorProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IColorProvider

    public class CachedColorProvider

extends java.lang.Object
implements org.eclipse.jface.viewers.IColorProvider

The Class CachedColorProvider.

Constructor Summary
`CachedColorProvider()`

Method Summary
`org.eclipse.swt.graphics.Color` | `getBackground(java.lang.Object element)`
`org.eclipse.swt.graphics.Color` | `getForeground(java.lang.Object element)`
`void` | `putBackgroundColor(java.lang.Object element, org.eclipse.swt.graphics.Color color)` Put background color.
`void` | `putForegroundColor(java.lang.Object element, org.eclipse.swt.graphics.Color color)` Put foreground color.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachedColorProvider

    public CachedColorProvider()

Method Detail

### getBackground

    public org.eclipse.swt.graphics.Color getBackground(java.lang.Object element)

  Specified by:
    `getBackground` in interface `org.eclipse.jface.viewers.IColorProvider`
  See Also:
    `IColorProvider.getBackground(java.lang.Object)`

### getForeground

    public org.eclipse.swt.graphics.Color getForeground(java.lang.Object element)

  Specified by:
    `getForeground` in interface `org.eclipse.jface.viewers.IColorProvider`
  See Also:
    `IColorProvider.getForeground(java.lang.Object)`

### putForegroundColor

    public void putForegroundColor(java.lang.Object element,
                                   org.eclipse.swt.graphics.Color color)

  Put foreground color.

  Parameters:
    `element` - the element
    `color` - the color

### putBackgroundColor

    public void putBackgroundColor(java.lang.Object element,
                                   org.eclipse.swt.graphics.Color color)

  Put background color.

  Parameters:
    `element` - the element
    `color` - the color

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD